EXPAND(1)

NAZWA
expand - skonwertuj znaki tabulacji na spacje

SKŁADNIA

expand
    [-tab1[,tab2[,...]]] [-t tab1[,tab2[,...]]] [-i]
    [--tabs=tab1[,tab2[,...]]] [--initial] [--help]
    [--version] [plik...]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo expand
lub
    info expand.

Ta strona podręcznika opisuje polecenie expand w wersji GNU.

expand wypisuje zawartość każdego podanego pliku, lub standardowego wejścia jeśli nie podano żadnej lub podano plik zwany `-', na standardowe wyjście, konwertując znaki tabulacji na odpowiednią liczbę spacji. Domyślnie expand przekształca na spacje wszystkie znaki tabulacji. Zachowuje jednak w pliku wynikowym znaki backspace; zmniejszają one licznik kolumn w o jeden przy obliczeniach pozycji tabulacji. Domyślne działanie jest równoważne opcji -8 (ustawia tabulacje co ósmą kolumnę).

OPCJE

-, -t, --tabs=tab1[,tab2[,...]]
    Jeśli podano tylko jedną pozycję tabulacji, ustawia tabulacje co tab1 spacji, zamiast domyślnych ośmiu. W przeciwnym razie, ustawia tabulacje w kolumnach tab1, tab2, itd. (numerowanych od 0), i zastępuje wszystkie tabulacje za ostatnią podaną pozycją pojedynczymi spacjami. Jeśli pozycje tabulacji podano opcją -t lub --tabs, mogą być one rozdzielone nie tylko przecinkami, ale i znakami pustymi.

-i, --initial
    Konwertuje na spacje tylko początkowe tabulacje każdej linii. Inaczej mówiąc: nie dokonuje konwersji za znakami różnymi od spacji i tabulacji.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
tr(1), unexpand(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.